# -*- coding: utf-8 -*-

from admin_tools.menu import items, Menu
from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse

from jumbo.conf.admin_menu import GenericMenuItem
from jumbo.middleware.thread_local import get_current_user

from press.models import PressReview 

def get_root_menu(children):
    user = get_current_user()
    if user.has_perm("press.view_press"):
        root_menu = items.MenuItem(
            title=_('Press'),
            children=[],
            url = reverse('admin:press_press_changelist')
        )
        children.append(root_menu)
    return None

def add_extended_menuitems(children, current_app):
    user = get_current_user()
    generic_menu = GenericMenuItem(current_app, ['press', 'theme', 'source', 'pressreview', 'sector', 'format'])
    press_reviews = PressReview.objects.all()
    if user.has_perm('press.view_press_review'):
        for pr in press_reviews:
            title = pr.name
            url="%s?&press_reviews__slug=%s" % (reverse('admin:press_press_changelist'), pr.slug)
            if pr.delivery:
                url="%s&delivery=%s" % (url, pr.delivery)
            menu_review = items.MenuItem(
                title=_(title),
                children=[],
                url=url
            )
            generic_menu.add_child(menu_review, 'press')


    menus = generic_menu.get_menu()
    [ children.append(menu) for menu in menus ]
